/*=============================================================================#
 # Copyright (c) 2012, 2021 Original NatTable authors and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0
 # 
 # Contributors:
 #     Original NatTable authors and others - initial API and implementation
 #=============================================================================*/

package org.eclipse.statet.ecommons.waltable.grid.data;

import java.util.List;

import org.eclipse.statet.ecommons.waltable.data.ListDataProvider;
import org.eclipse.statet.ecommons.waltable.data.ReflectiveColumnPropertyAccessor;


public class DefaultBodyDataProvider<T> extends ListDataProvider<T> {

	public DefaultBodyDataProvider(final List<T> rowData, final String[] propertyNames) {
		super(rowData, new ReflectiveColumnPropertyAccessor<T>(propertyNames));
	}
	
}
