/*=============================================================================#
 # Copyright (c) 2012, 2021 Original NatTable authors and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0
 # 
 # Contributors:
 #     Original NatTable authors and others - initial API and implementation
 #=============================================================================*/

package org.eclipse.statet.ecommons.waltable.grid.layer;

import org.eclipse.statet.ecommons.waltable.coordinate.PositionId;
import org.eclipse.statet.ecommons.waltable.data.IDataProvider;
import org.eclipse.statet.ecommons.waltable.layer.DataLayer;


public class DefaultColumnHeaderDataLayer extends DataLayer {
	
	
	public DefaultColumnHeaderDataLayer(final IDataProvider columnHeaderDataProvider) {
		super(columnHeaderDataProvider,
				PositionId.BODY_CAT, 100,
				PositionId.HEADER_CAT, 20);
	}
	
}
