/*=============================================================================#
 # Copyright (c) 2012, 2021 Original NatTable authors and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0
 # 
 # Contributors:
 #     Original NatTable authors and others - initial API and implementation
 #=============================================================================*/

package org.eclipse.statet.ecommons.waltable.painter.cell;

import org.eclipse.swt.graphics.Image;

import org.eclipse.statet.ecommons.waltable.util.GUIHelper;


public class DisabledCheckboxPainter extends CheckBoxPainter {

	public DisabledCheckboxPainter() {
		super(GUIHelper.getImage("checked_disabled"), GUIHelper.getImage("unchecked_disabled")); //$NON-NLS-1$ //$NON-NLS-2$
	}

	public DisabledCheckboxPainter(final Image checkedImg, final Image uncheckedImg) {
		super(checkedImg, uncheckedImg);
	}
}
