/*=============================================================================#
 # Copyright (c) 2012, 2021 Original NatTable authors and others.
 # 
 # This program and the accompanying materials are made available under the
 # terms of the Eclipse Public License 2.0 which is available at
 # https://www.eclipse.org/legal/epl-2.0.
 # 
 # SPDX-License-Identifier: EPL-2.0
 # 
 # Contributors:
 #     Original NatTable authors and others - initial API and implementation
 #=============================================================================*/

package org.eclipse.statet.ecommons.waltable.style;

import java.util.List;

import org.eclipse.statet.ecommons.waltable.config.CellConfigAttributes;
import org.eclipse.statet.ecommons.waltable.config.IConfigRegistry;


public class CellStyleProxy extends StyleProxy {
	
	
	public CellStyleProxy(final IConfigRegistry configRegistry,
			final DisplayMode targetDisplayMode, final List<String> configLabels) {
		super(CellConfigAttributes.CELL_STYLE, configRegistry, targetDisplayMode, configLabels);
	}
	
	
	@Override
	public <T> void setAttributeValue(final ConfigAttribute<T> styleAttribute, final T value) {
		throw new UnsupportedOperationException("Not implemented yet"); //$NON-NLS-1$
	}

}
